<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
    layout:decorate="~{admin/dashboardLayout.html}">
  <head>

  </head>
      <body>
        <section class="row" layout:fragment="content">
                  <div class="col mt-4">
                    <div class="card">
                      <div class="card-header">
                        <h2>List of Account</h2>
                      </div>
                      <div class="col">
                        <div class="float-right">
                          <a class="btn btn-outline-primary"
                             th:href="@{/admin/accounts/add}">Add New Account</a>
                        </div>
                      </div>
                      <div class="card-body">
                        <div th:if="${message} != null" class="alert alert-primary" role="alert">
                          <i>[[${message}]]</i>
                        </div>
                        <table class="table table-striped table-inverse">
                          <thead class="thead-inverse">
                            <tr>
                              <th>Username</th>
                              <th>Password</th>
                              <th></th>
                            </tr>
                            </thead>
                            <tbody>
                              <tr th:each=" account: ${accounts}">
                                <td scope="row">[[${account.username}]]</td>
                                <td>
                                  <input type="password" th:value="${account.password}">
                                </td>
                                <td>
                                  <a th:href="@{'/admin/accounts/edit/' + ${account.username}}" class="btn btn-outline-warning">Edit</a>
                                  <a th:href="@{'/admin/accounts/delete/' + ${account.username}}" class="btn btn-outline-danger">Delete</a>
                                </td>
                              </tr>
                            </tbody>
                        </table>
                      </div>
                      <div class="card-footer text-muted">
                        <nav aria-label="Page navigation">
                          <ul class="pagination justify-content-center">
                            <li class="page-item disabled">
                              <a class="page-link" href="#" aria-label="Previous">
                                <span aria-hidden="true">&laquo;</span>
                                <span class="sr-only">Previous</span>
                              </a>
                            </li>
                            <li class="page-item active"><a class="page-link" href="#">1</a></li>
                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                            <li class="page-item">
                              <a class="page-link" href="#" aria-label="Next">
                                <span aria-hidden="true">&raquo;</span>
                                <span class="sr-only">Next</span>
                              </a>
                            </li>
                          </ul>
                        </nav>
                      </div>
                    </div>
                    
                  </div>
              </section>
      </body>
</html>
